Bug 571875 - 'Alert Properties' Edit button should not include the text of the alert name.
'Alert Properties' Edit button should not include the text of the alert name.
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
1.3.1
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2010-03-09 14:04 EST by Corey Welton
Modified: 2013-09-02 03:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:25:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-03-09 14:04:42 EST
Description of problem:
The button to edit an alert's properties includes the alert's name.  This is problematic/awkward if the alert has a long name.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. For a resource, create an alert with a very long name ("Indicator of a serious system error on the Phoenix Production Cluster")  You might want something longer if you have a large display.
2. After creation, go to the detailed view page for the Alert (you might automatically navigate here after creation)
3.  View the 'Alert Properties' table and look at the edit button
 
Actual results:
A button labeled "Edit 'Indicator of a serious system error on the Phoenix Production Cluster' Properties" that very likely spans two or more lines

Expected results:
A button that is independent of the alert name.

Additional info:
Comment 2 John Mazzitelli 2011-02-17 15:45:49 EST
this button is no longer around in the gwt ui - i don't think this is a problem now
Comment 3 Sunil Kondkar 2011-06-02 07:04:31 EDT
Verified in build 107 (Version: 4.1.0-SNAPSHOT Build Number: 9192306)

Created an alert with the same name (long name) and verified that there is an Edit button at the bottom of the UI which is independent of the alert name.

Marking as verified.
Comment 4 Heiko W. Rupp 2013-09-02 03:25:51 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.